%define lib_major   3
%define libname %mklibname %{name}_ %{lib_major}
%define libnamedev %mklibname -d %name
%define with_doc 0

Name:           graphite2
Version:        1.2.0
Release:        %mkrel 2
Summary:        Font rendering capabilities for complex non-Roman writing systems
Group:          System/Libraries
License:        LGPLv2+
URL:            http://sourceforge.net/projects/silgraphite/
Source0:        http://downloads.sourceforge.net/silgraphite/graphite2-%{version}.tgz
BuildRequires:  cmake
BuildRequires:  freetype-devel
BuildRequires:  doxygen,texlive,asciidoc
BuildRequires:  libxml2-utils
Obsoletes:      silgraphite < 2.3.1-5

%description
Graphite2 is a project within SIL's Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create "smart fonts" capable
of displaying writing systems with various complex behaviors. With respect to
the Text Encoding Model, Graphite handles the "Rendering" aspect of writing
system implementation.

%files
%doc LICENSE COPYING ChangeLog
%{_bindir}/gr2fonttest

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        %{summary}
Group:          System/Libraries

%description -n %{libname}
Graphite2 is a project within SIL's Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create "smart fonts" capable
of displaying writing systems with various complex behaviors. With respect to
the Text Encoding Model, Graphite handles the "Rendering" aspect of writing
system implementation.

%files -n %{libname}
%{_libdir}/libgraphite2.so.%{lib_major}*

#--------------------------------------------------------------------

%package -n %{libnamedev}
Requires: %{name} = %{version}-%{release}
Summary: Files for developing with graphite2
Group:    Development/Other 
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: silgraphite-devel < 2.3.1-5

%description -n %{libnamedev}
Includes and definitions for developing with graphite2.

%files -n %{libnamedev}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/graphite2-release.cmake
%{_datadir}/%{name}/graphite2.cmake
%{_includedir}/%{name}
%{_libdir}/libgraphite2.so
%{_libdir}/pkgconfig/graphite2.pc

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake -DENABLE_COMPARE_RENDERER=OFF ..
%make
%if %{with_doc}
make docs
%endif

%install
%makeinstall_std -C build
rm -f %{buildroot}/%{_libdir}/*.la


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 352566
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 luigiwalser <luigiwalser> 1.2.0-1.mga3
+ Revision: 303157
- 1.2.0 (library major is now 3)

* Fri Sep 07 2012 luigiwalser <luigiwalser> 1.1.3-1.mga3
+ Revision: 289328
- fix package group
- remove non-ASCII characters from spec, plus other minor spec cleaning
- 1.1.3

* Tue Oct 11 2011 dmorgan <dmorgan> 1.0.3-2.mga2
+ Revision: 153754
- Fix groups
- Fix provides in the devel package
- Do not build docs
- Fix BR
- Fix BR
- imported package graphite2

